API checks
Fetch detailed availability metrics and aggregated or non-aggregated API Check metrics across custom time ranges. For example, you can get the p99 and p95 of all the DNS phases of your API check together with the availability percentage for any time range.
Rate-limiting is applied to this endpoint, you can send 30 requests / 60 seconds at most.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Available metrics for API Checks. You can pass multiple metrics as a comma separated string.
responseTime, wait, dns, tcp, firstByte, download, availability, retries, responseTime_avg, responseTime_max, responseTime_median, responseTime_min, responseTime_p50, responseTime_p90, responseTime_p95, responseTime_p99, responseTime_stddev, responseTime_sum, wait_avg, wait_max, wait_median, wait_min, wait_p50, wait_p90, wait_p95, wait_p99, wait_stddev, wait_sum, dns_avg, dns_max, dns_median, dns_min, dns_p50, dns_p90, dns_p95, dns_p99, dns_stddev, dns_sum, tcp_avg, tcp_max, tcp_median, tcp_min, tcp_p50, tcp_p90, tcp_p95, tcp_p99, tcp_stddev, tcp_sum, firstByte_avg, firstByte_max, firstByte_median, firstByte_min, firstByte_p50, firstByte_p90, firstByte_p95, firstByte_p99, firstByte_stddev, firstByte_sum, download_avg, download_max, download_median, download_min, download_p50, download_p90, download_p95, download_p99, download_stddev, download_sum Response
Success